Subject: Re: package installation leaks tar-mode data buffers

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Aug 2025 17:06:15 -0400

> that is the problem: tar-mode will generate a helper buffer which is
> normally removed when the tar-mode buffer is killed, but temporary
> buffers inhibit the kill-buffer-hook so that never happens.

Maybe we should be more careful when we skip `kill-buffer-hook`.
Maybe we should run the local part of the hook (and skip the global part)?

        Stefan